Bug 106190 - Fraction format: insert space after fraction bar freezes LibO
Summary: Fraction format: insert space after fraction bar freezes LibO
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
5.3.0.3 release
Hardware: All All
: medium normal
Assignee: Laurent BP
URL:
Whiteboard: target:5.4.0 target:5.3.2 target:5.3....
Keywords: haveBacktrace
Depends on:
Blocks:
 
Reported: 2017-02-25 16:50 UTC by Laurent BP
Modified: 2017-04-13 15:15 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Laurent BP 2017-02-25 16:50:52 UTC
Description:
When modifying user-defined format, if I (accidentally) insert a space between fraction bar and denominator string, LibO freezes

Steps to Reproduce:
1. Format > Cells > Numbers
2. Select Fraction category
3. In format code string, click just after fraction bar (/)
4. Hit space

Actual Results:  
Nothing is changing in format code and LibO freezes: no reaction of UI, hardware temperature increases, even after several minutes. You need to kill LibO

Expected Results:
Format code should be modified like:
# ?/ ?


Reproducible: Always

User Profile Reset: No

Additional Info:
Same bug with English or French language (in French space is also thousands separator).

Same bug if space (or any character different from 0, ?, #, e, E or /) is inserted in the middle of denominator string, for instance to get
# ???/?? ?

No bug if you insert space in any other places in format code.
No bug if you insert text in any other places, even between fraction bar and denominator string.


User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:50.0) Gecko/20100101 Firefox/50.0
Comment 1 V Stuart Foote 2017-02-25 17:44:02 UTC
Confirmed. On Windows 10 Pro 64-bit en-US with
Version: 5.4.0.0.alpha0+
Build ID: f0c7cbe1d8505d3c1f5a2b2253efda35542c898b
CPU threads: 8; OS: Windows 6.19; UI render: GL; 
TinderBox: Win-x86@39, Branch:master, Time: 2017-02-22_04:35:00
Locale: en-US (en_US); Calc: CL

Here is the stack when hung up. The  sal3!rtl_uStringbuffer_remove, and 
mergedlo!SvNumberformat::ImpGetFractionOutput

=-stack trace TB39 w/Symbols-=

0:013> ~* kp

   0  Id: 89c.598 Suspend: 1 Teb: 00f9a000 Unfrozen
ChildEBP RetAddr  
0198c8cc 622f8ac9 sal3!rtl_uStringbuffer_remove(struct _rtl_uString ** This = 0x0198ca3c, long start = 0n0, long len = 0n1)+0xec [c:\cygwin\home\tinderbox\master\sal\rtl\ustrbuf.cxx @ 258]
0198c8e4 6235a182 svllo!rtl::OUStringBuffer::remove(long start = 0n0, long len = 0n1)+0x19 [c:\cygwin\home\tinderbox\master\include\rtl\ustrbuf.hxx @ 1225]
0198cae0 62355b96 svllo!SvNumberformat::ImpGetFractionOutput(double fNumber = 0.45600000000000307, unsigned short nIx = 0, class rtl::OUStringBuffer * sBuff = 0x0198cb64)+0x7f2 [c:\cygwin\home\tinderbox\master\svl\source\numbers\zformat.cxx @ 2845]
0198cb8c 62340aa1 svllo!SvNumberformat::GetOutputString(double fNumber = 123.456, class rtl::OUString * OutString = 0x0198cc30, class Color ** ppColor = 0x0198cc2c)+0x796 [c:\cygwin\home\tinderbox\master\svl\source\numbers\zformat.cxx @ 2533]
0198cbdc 625807f5 svllo!SvNumberFormatter::GetPreviewString(class rtl::OUString * sFormatString = 0x0198cc8c, double fPreviewNumber = 123.456, class rtl::OUString * sOutString = 0x0198cc30, class Color ** ppColor = 0x0198cc2c, unsigned short eLnge = 0, bool bUseStarFormat = true)+0x191 [c:\cygwin\home\tinderbox\master\svl\source\numbers\zforlist.cxx @ 1631]
0198cc10 594291b9 svxlo!SvxNumberFormatShell::MakePreviewString(class rtl::OUString * rFormatStr = 0x0198cc8c, class rtl::OUString * rPreviewStr = 0x0198cc30, class Color ** rpFontColor = 0x0198cc2c)+0x65 [c:\cygwin\home\tinderbox\master\svx\source\items\numfmtsh.cxx @ 452]
0198cc40 59427681 cuilo!SvxNumberFormatTabPage::MakePreviewText(class rtl::OUString * rFormat = 0x0198cc8c)+0x59 [c:\cygwin\home\tinderbox\master\cui\source\tabpages\numfmt.cxx @ 1752]
0198ccac 594278a3 cuilo!SvxNumberFormatTabPage::EditHdl_Impl(class Edit * pEdFormat = 0x17ffc948)+0x161 [c:\cygwin\home\tinderbox\master\cui\source\tabpages\numfmt.cxx @ 1554]
0198ccbc 59428e5f cuilo!SvxNumberFormatTabPage::EditModifyHdl_Impl(class Edit * rEdit = 0x17ffc948)+0x13 [c:\cygwin\home\tinderbox\master\cui\source\tabpages\numfmt.cxx @ 1537]
*** ERROR: Symbol file could not be found.  Defaulted to export symbols for C:\LODev540_x86_20170222_TB39\program\vcllo.dll - 
0198ccc8 6095fc83 cuilo!SvxNumberFormatTabPage::LinkStubEditModifyHdl_Impl(void * instance = 0x2534b950, class Edit * data = 0x17ffc948)+0xf [c:\cygwin\home\tinderbox\master\cui\source\tabpages\numfmt.cxx @ 1534]
WARNING: Stack unwind information not available. Following frames may be wrong.
0198ccdc 6095f1bd vcllo!Edit::CalcSize+0x113
0198ccec 6095d486 vcllo!TextFilter::~TextFilter+0x6ad
0198ccf8 609693d2 vcllo!Control::dispose+0xcd6
0198cd04 6095a5c9 vcllo!Edit::UpdateData+0x172
0198cd10 6095b9c6 vcllo!vcl::ControlLayoutData::~ControlLayoutData+0x329
0198cd34 60968014 vcllo!Control::ImplCallEventListenersAndHandler+0x76
0198cd80 6096588c vcllo!Edit::Modify+0xc4
0198cd8c 60964909 vcllo!Edit::ImplModified+0x2c
0198ceb0 60967d78 vcllo!Edit::ImplHandleKeyEvent+0xd19
0198cec0 6092a602 vcllo!Edit::KeyInput+0x78
0198d004 6092e5e8 vcllo!vcl::Window::ImplAsyncFocusHdl+0x1dd2
0198d1fc 60da1fae vcllo!FloatingWindow::ImplSetMouseDown+0x338
0198d218 60da67c4 vcllo!CommandMediaData::CommandMediaData+0xfae
0198d2bc 60dab87f vcllo!CommandMediaData::GetPassThroughToOS+0x3b54
0198d410 60dac571 vcllo!WorkWindow::IsFullScreenMode+0x5ef
0198d460 7494d2b3 vcllo!WorkWindow::IsFullScreenMode+0x12e1
0198d48c 7492e88a USER32!_InternalCallWinProc+0x2b
0198d574 7492df17 USER32!UserCallWinProcCheckWow+0x30a
0198d5b0 5d6ece43 USER32!CallWindowProcW+0x97
0198d5f0 7494d2b3 OPENGL32!wglWndProc+0x233
0198d61c 7492e88a USER32!_InternalCallWinProc+0x2b
0198d704 7492e1e4 USER32!UserCallWinProcCheckWow+0x30a
0198d778 7492dfa0 USER32!DispatchMessageWorker+0x234
0198d784 60d675d6 USER32!DispatchMessageW+0x10
0198d798 60d67722 vcllo!WinBlocklistParser::parse+0xc926
0198d7d0 60d67481 vcllo!WinBlocklistParser::parse+0xca72
0198d804 60c4aa59 vcllo!WinBlocklistParser::parse+0xc7d1
0198da50 60c4ce5e vcllo!Application::ImplCallEventListeners+0x899
0198da64 6082d370 vcllo!Application::Yield+0xe
0198dabc 62c1c1e9 vcllo!Dialog::Execute+0x110
0198dac8 56c8b4e7 sfxlo!SfxTabDialog::Execute(void)+0x39 [c:\cygwin\home\tinderbox\master\sfx2\source\dialog\tabdlg.cxx @ 510]
0198dad8 5897e0db scuilo!ScAbstractTabDialog_Impl::Execute(void)+0x27 [c:\cygwin\home\tinderbox\master\sc\source\ui\attrdlg\scdlgfact.cxx @ 111]
0198dc3c 588a8d67 sclo!ScTabViewShell::ExecuteCellFormatDlg(class SfxRequest * rReq = 0x0198e3b4, class rtl::OString * rName = 0x0198df08)+0x50b [c:\cygwin\home\tinderbox\master\sc\source\ui\view\tabvwsha.cxx @ 544]
0198e0c4 58892cfa sclo!ScCellShell::Execute(class SfxRequest * rReq = 0x0198e3b4)+0xc07 [c:\cygwin\home\tinderbox\master\sc\source\ui\view\cellsh3.cxx @ 370]
0198e0d0 62b3f0c2 sclo!SfxStubScCellShellExecute(class SfxShell * pShell = 0x17e603f0, class SfxRequest * rReq = 0x0198e3b4)+0x1a [c:\cygwin\home\tinderbox\master\workdir\sditarget\sc\sdi\scslots.hxx @ 7344]
0198e0e4 62b3f341 sfxlo!SfxShell::CallExec(<function> * pFunc = 0x58892ce0, class SfxRequest * rReq = 0x0198e3b4)+0x12 [c:\cygwin\home\tinderbox\master\include\sfx2\shell.hxx @ 213]
0198e150 62b41742 sfxlo!SfxDispatcher::Call_Impl(class SfxShell * rShell = 0x17e603f0, class SfxSlot * rSlot = 0x58fa9790, class SfxRequest * rReq = 0x0198e3b4, bool bRecord = true)+0x271 [c:\cygwin\home\tinderbox\master\sfx2\source\control\dispatch.cxx @ 380]
0198e1a0 62b26abe sfxlo!SfxDispatcher::Execute_(class SfxShell * rShell = 0x17e603f0, class SfxSlot * rSlot = 0x58fa9790, class SfxRequest * rReq = 0x0198e3b4, SfxCallMode eCallMode = RECORD (0n4))+0x282 [c:\cygwin\home\tinderbox\master\sfx2\source\control\dispatch.cxx @ 936]
0198e258 62b904f7 sfxlo!SfxBindings::Execute_Impl(class SfxRequest * aReq = 0x0198e3b4, class SfxSlot * pSlot = 0x58fa9790, class SfxShell * pShell = 0x17e603f0)+0x55e [c:\cygwin\home\tinderbox\master\sfx2\source\control\bindings.cxx @ 1171]
0198e4c0 62b9099c sfxlo!SfxDispatchController_Impl::dispatch(struct com::sun::star::util::URL * aURL = 0x0198e510, class com::sun::star::uno::Sequence<com::sun::star::beans::PropertyValue> * aArgs = 0x0198e5b4, class com::sun::star::uno::Reference<com::sun::star::frame::XDispatchResultListener> * rListener = 0x0198e4e0)+0x8b7 [c:\cygwin\home\tinderbox\master\sfx2\source\control\unoctitm.cxx @ 752]
0198e4f8 5b8a1315 sfxlo!SfxOfficeDispatch::dispatch(struct com::sun::star::util::URL * aURL = 0x0198e510, class com::sun::star::uno::Sequence<com::sun::star::beans::PropertyValue> * aArgs = 0x0198e5b4)+0x7c [c:\cygwin\home\tinderbox\master\sfx2\source\control\unoctitm.cxx @ 230]
0198e5dc 5b89f90f fwklo!framework::MenuBarManager::Select(class Menu * pMenu = 0x17e42158)+0x445 [c:\cygwin\home\tinderbox\master\framework\source\uielement\menubarmanager.cxx @ 1026]
0198e5e8 60878199 fwklo!framework::MenuBarManager::LinkStubSelect(void * instance = 0x14d2c4a0, class Menu * data = 0x17e42158)+0xf [c:\cygwin\home\tinderbox\master\framework\source\uielement\menubarmanager.cxx @ 962]
0198e600 60880b8b vcllo!MenuBar::AddMenuBarButton+0xa9
0198e62c 6087b3fe vcllo!Menu::Select+0x7b
0198e638 608806df vcllo!Menu::ImplCallSelect+0x1e
0198e644 60927f93 vcllo!Menu::LinkStubImplCallSelect+0xf
0198e658 6092e1b8 vcllo!HelpEvent::HelpEvent+0x4a3
0198e670 6092e9c2 vcllo!vcl::Window::ImplAsyncFocusHdl+0x5988
0198e854 60da1fae vcllo!FloatingWindow::ImplSetMouseDown+0x712
0198e870 60da86dc vcllo!CommandMediaData::CommandMediaData+0xfae
0198e884 60dabd97 vcllo!CommandMediaData::GetPassThroughToOS+0x5a6c
0198e9cc 60dac571 vcllo!WorkWindow::IsFullScreenMode+0xb07
0198ea1c 7494d2b3 vcllo!WorkWindow::IsFullScreenMode+0x12e1
0198ea48 7492e88a USER32!_InternalCallWinProc+0x2b
0198eb30 7492df17 USER32!UserCallWinProcCheckWow+0x30a
0198eb6c 5d6ece43 USER32!CallWindowProcW+0x97
0198ebac 7494d2b3 OPENGL32!wglWndProc+0x233
0198ebd8 7492e88a USER32!_InternalCallWinProc+0x2b
0198ecc0 7492e1e4 USER32!UserCallWinProcCheckWow+0x30a
0198ed34 7492dfa0 USER32!DispatchMessageWorker+0x234
0198ed40 60d675d6 USER32!DispatchMessageW+0x10
0198ed54 60d676c5 vcllo!WinBlocklistParser::parse+0xc926
0198ed8c 60d67481 vcllo!WinBlocklistParser::parse+0xca15
0198edc0 60c4aa59 vcllo!WinBlocklistParser::parse+0xc7d1
0198f00c 60c4ce5e vcllo!Application::ImplCallEventListeners+0x899
0198f020 60c48b66 vcllo!Application::Yield+0xe
0198f068 6396eed9 vcllo!Application::Execute+0x1b6
0198f070 63973da1 sofficeapp!desktop::Desktop::DoExecute(void)+0x9 [c:\cygwin\home\tinderbox\master\desktop\source\app\app.cxx @ 1367]
0198f75c 60c53176 sofficeapp!desktop::Desktop::Main(void)+0x1b31 [c:\cygwin\home\tinderbox\master\desktop\source\app\app.cxx @ 1687]
0198f828 60c5360f vcllo!DeInitVCL+0xd66
0198f834 639ac2b4 vcllo!SVMain+0x2f
*** ERROR: Symbol file could not be found.  Defaulted to export symbols for C:\LODev540_x86_20170222_TB39\program\soffice.bin - 
0198f8a8 00bb100a sofficeapp!soffice_main(void)+0x74 [c:\cygwin\home\tinderbox\master\desktop\source\app\sofficemain.cxx @ 166]
0198f8b4 00bb103a soffice+0x100a
0198f8c0 00bb1078 soffice!main+0x1a
0198f8d8 00bb12ce soffice!main+0x58
0198f924 76f462c4 soffice!main+0x2ae
0198f938 776f0fd9 KERNEL32!BaseThreadInitThunk+0x24
0198f980 776f0fa4 ntdll!__RtlUserThreadStart+0x2f
0198f990 00000000 ntdll!_RtlUserThreadStart+0x1b
Comment 2 m.a.riosv 2017-02-26 01:12:08 UTC
Hi @Stuart, not too much common, but IMO it should be raised to critical,
Comment 3 Commit Notification 2017-03-02 18:08:34 UTC
Laurent Balland-Poirier committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b2738c6f67cb650ac32228f3cd20b9dfe4b41c9c

tdf#106190 fix left alignment of denominator

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2017-03-02 20:20:32 UTC
Laurent Balland-Poirier committed a patch related to this issue.
It has been pushed to "libreoffice-5-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=5be9863007d28ce543b0030ffef4c7d955a8e283&h=libreoffice-5-3

tdf#106190 fix left alignment of denominator

It will be available in 5.3.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2017-03-06 10:45:22 UTC
Laurent Balland-Poirier committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=90cf564324ed9421f52742a0955bacab9407a872

tdf#106190 Move meber variable to local

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2017-03-06 16:48:23 UTC
Laurent Balland-Poirier committed a patch related to this issue.
It has been pushed to "libreoffice-5-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=439c820e873b6f6c1c9ce189d05ea7426c102b46&h=libreoffice-5-3

tdf#106190 Move meber variable to local

It will be available in 5.3.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2017-03-07 16:45:13 UTC
Laurent Balland-Poirier committed a patch related to this issue.
It has been pushed to "libreoffice-5-3-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=8eb29021352dd7d92f3fa225e18a85cd780e04db&h=libreoffice-5-3-1

tdf#106190 fix left alignment of denominator

It will be available in 5.3.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2017-03-14 17:20:13 UTC
Laurent Balland-Poirier committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4e1448d43e08d3f0a6ff67e75346e9559ad2af09

Following tdf#106190 Treat blank after fraction bar

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2017-03-14 23:39:42 UTC
Laurent Balland-Poirier committed a patch related to this issue.
It has been pushed to "libreoffice-5-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f1a108f4dfd3d82dd39a9606f54a25a076ac516d&h=libreoffice-5-3

Following tdf#106190 Treat blank after fraction bar

It will be available in 5.3.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Laurent BP 2017-03-15 21:56:07 UTC
Format ?/" "? (space between quotes) also freeze LibO
Comment 11 Commit Notification 2017-04-06 14:11:25 UTC
Laurent Balland-Poirier committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=2fd110a78d03510d031c4c6cf6ad380d82899df8

tdf#106190 Fix (again) left alignment of denominator

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 12 Commit Notification 2017-04-07 09:08:40 UTC
Laurent Balland-Poirier committed a patch related to this issue.
It has been pushed to "libreoffice-5-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=693c929c1a475e6b4bd737e50d09d6f390700812&h=libreoffice-5-3

tdf#106190 Fix (again) left alignment of denominator

It will be available in 5.3.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 13 Commit Notification 2017-04-10 13:52:26 UTC
Laurent Balland-Poirier committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=bac6141665049e53c01715a88d46ca04d678ddf0

tdf#106190 Tests of fraction formats

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 14 Timur 2017-04-13 15:15:26 UTC
Looks fixed.